On this page

    Weather API

    Using the API from JavaScript?
    Weather Module

    Weather catalog

    GET https://api.maptiler.com/weather/latest.json

    List current weather-related variables, their metadata and individual keyframes

    Request

    You must include an API Key with every API request

    Request example
    
      https://api.maptiler.com/weather/latest.json?key=YOUR_MAPTILER_API_KEY

    Get your FREE API key in your MapTiler account.

    Responses

    Code Content Description
    200 application/json WeatherCatalogResult
    403

    Key is missing, invalid or restricted

    WeatherCatalogResult

    Property Type Description
    variables
    array of [CatalogResult ]
    List of all the available weather variables

    CatalogResult

    List of all the available weather variables

    Property Type Description
    spatial_ref_sys
    Spatial reference system
    Projection
    bounds
    Bounds of the area represented by the tileset. Coordinates are in the given projection.
    Example: [-20037481.18083349,-20037508.342789244,20008180.55502281,20037508.342789244]
    tile_format
    string
    Format of individual tiles
    Example: png
    tile_matrix_set
    Tile matrix set
    metadata
    Metadata
    keyframes
    array [ Keyframe ]
    List of the available keyframes for this variable

    Spatial reference system

    Projection

    Property Type Description
    auth_name
    string
    Name of the defining authority
    Example: EPSG
    auth_srid
    string
    ID given by the defining authority
    Example: 3857
    wkt
    string
    Well known text of the definition
    Example: PROJCRS["WGS 84 / Pseudo-Mercator",BASEGEOGCRS["WGS 84",ENSEMBLE["World Geodetic System 1984 ensemble",MEMBER["World Geodetic System 1984 (Transit)"],MEMBER["World Geodetic System 1984 (G730)"],MEMBER["World Geodetic System 1984 (G873)"],MEMBER["World Geodetic System 1984 (G1150)"],MEMBER["World Geodetic System 1984 (G1674)"],MEMBER["World Geodetic System 1984 (G1762)"],MEMBER["World Geodetic System 1984 (G2139)"],ELLIPSOID["WGS 84",6378137,298.257223563,LENGTHUNIT["metre",1]],ENSEMBLEACCURACY[2.0]],PRIMEM["Greenwich",0,ANGLEUNIT["degree",0.0174532925199433]],ID["EPSG",4326]],CONVERSION["Popular Visualisation Pseudo-Mercator",METHOD["Popular Visualisation Pseudo Mercator",ID["EPSG",1024]],PARAMETER["Latitude of natural origin",0,ANGLEUNIT["degree",0.0174532925199433],ID["EPSG",8801]],PARAMETER["Longitude of natural origin",0,ANGLEUNIT["degree",0.0174532925199433],ID["EPSG",8802]],PARAMETER["False easting",0,LENGTHUNIT["metre",1],ID["EPSG",8806]],PARAMETER["False northing",0,LENGTHUNIT["metre",1],ID["EPSG",8807]]],CS[Cartesian,2],AXIS["easting (X)",east,ORDER[1],LENGTHUNIT["metre",1]],AXIS["northing (Y)",north,ORDER[2],LENGTHUNIT["metre",1]],USAGE[SCOPE["Web mapping and visualisation."],AREA["World between 85.06°S and 85.06°N."],BBOX[-85.06,-180,85.06,180]],ID["EPSG",3857]]

    Spatial reference system example

    
        {
      "auth_name": "EPSG",
      "auth_srid": "3857",
      "wkt": "PROJCRS[\"WGS 84 / Pseudo-Mercator\",BASEGEOGCRS[\"WGS 84\",ENSEMBLE[\"World Geodetic System 1984 ensemble\",MEMBER[\"World Geodetic System 1984 (Transit)\"],MEMBER[\"World Geodetic System 1984 (G730)\"],MEMBER[\"World Geodetic System 1984 (G873)\"],MEMBER[\"World Geodetic System 1984 (G1150)\"],MEMBER[\"World Geodetic System 1984 (G1674)\"],MEMBER[\"World Geodetic System 1984 (G1762)\"],MEMBER[\"World Geodetic System 1984 (G2139)\"],ELLIPSOID[\"WGS 84\",6378137,298.257223563,LENGTHUNIT[\"metre\",1]],ENSEMBLEACCURACY[2.0]],PRIMEM[\"Greenwich\",0,ANGLEUNIT[\"degree\",0.0174532925199433]],ID[\"EPSG\",4326]],CONVERSION[\"Popular Visualisation Pseudo-Mercator\",METHOD[\"Popular Visualisation Pseudo Mercator\",ID[\"EPSG\",1024]],PARAMETER[\"Latitude of natural origin\",0,ANGLEUNIT[\"degree\",0.0174532925199433],ID[\"EPSG\",8801]],PARAMETER[\"Longitude of natural origin\",0,ANGLEUNIT[\"degree\",0.0174532925199433],ID[\"EPSG\",8802]],PARAMETER[\"False easting\",0,LENGTHUNIT[\"metre\",1],ID[\"EPSG\",8806]],PARAMETER[\"False northing\",0,LENGTHUNIT[\"metre\",1],ID[\"EPSG\",8807]]],CS[Cartesian,2],AXIS[\"easting (X)\",east,ORDER[1],LENGTHUNIT[\"metre\",1]],AXIS[\"northing (Y)\",north,ORDER[2],LENGTHUNIT[\"metre\",1]],USAGE[SCOPE[\"Web mapping and visualisation.\"],AREA[\"World between 85.06°S and 85.06°N.\"],BBOX[-85.06,-180,85.06,180]],ID[\"EPSG\",3857]]"
    }
      

    Tile matrix set

    Property Type Description
    bounds
    Example: [-20037481.18083349,-20037508.342789244,20008180.55502281,20037508.342789244]
    items
    array [ Tile matrix ]

    Tile matrix set example

    
        {
      "bounds": [
        -20037481.18083349,
        -20037508.342789244,
        20008180.55502281,
        20037508.342789244
      ],
      "items": null
    }
      

    Metadata

    Property Type Description
    weather_variable
    Weather variable

    Keyframe

    Property Type Description
    id
    string
    UUID of the tileset
    timestamp
    string
    ISO timestamp of the tileset

    Tile matrix

    Property Type Description
    zoom_level
    integer
    matrix_width
    integer
    matrix_height
    integer
    tile_width
    integer
    tile_height
    integer
    pixel_x_size
    number
    pixel_y_size
    number

    Weather variable

    Property Type Description
    name
    string
    Human-friendly name of the variable
    Example: Wind
    description
    string
    Human-friendly description of the variable
    Example: Wind at 10 m above ground [m/s]
    attribution
    string
    Example: GFS
    variable_id
    string
    unique ID of the forecast for grouping
    Example: wind-10m:gfs
    decoding
    Decoding
    unit
    string
    Human-friendly unit of the values
    Example: ms
    release_timestamp
    string
    Date of release for the whole batch, ISO timestamp
    Example: 2023-03-01T06:00:00+00:00
    timestamp
    string
    ISO timestamp of the forecast frame – the moment in time it depicts
    Example: 2023-03-01T11:00:00+00:00

    Weather variable example

    
        {
      "name": "Wind",
      "description": "Wind at 10 m above ground [m/s]",
      "attribution": "GFS",
      "variable_id": "wind-10m:gfs",
      "decoding": null,
      "unit": "ms",
      "release_timestamp": "2023-03-01T06:00:00+00:00",
      "timestamp": "2023-03-01T11:00:00+00:00"
    }
      

    Decoding

    Property Type Description
    channels
    string
    Channel to decode the info from
    Example: rg
    Allowed values: r g b rg rb gb rgb
    min
    number
    Min boundary of the data for decoding
    Example: -75
    max
    number
    Max boundary of the data for decoding
    Example: 75

    Decoding example

    
        {"channels": "rg", "min": -75, "max": 75}
      
    Using the OpenAPI Specification?
    Get the openapi.yaml

    Was this helpful?

    MapTiler API
    Weather API
    Weather API